<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.yiqi.order.mapper.OrderClothTypeMapper">

    <resultMap type="OrderClothType" id="OrderClothTypeResult">
        <result property="id" column="id"/>
        <result property="orderId" column="order_id"/>
        <result property="orderClothId" column="order_cloth_id"/>
        <result property="clothTypeCode" column="cloth_type_code"/>
        <result property="clothTypeName" column="cloth_type_name"/>
        <result property="clothTypePrice" column="cloth_type_price"/>
        <result property="createById" column="create_by_id"/>
        <result property="createBy" column="create_by"/>
        <result property="createTime" column="create_time"/>
        <result property="updateById" column="update_by_id"/>
        <result property="updateBy" column="update_by"/>
        <result property="updateTime" column="update_time"/>
        <result property="remark" column="remark"/>
    </resultMap>

    <sql id="selectOrderClothTypeVo">
        select id, order_id, order_cloth_id, cloth_type_code, cloth_type_name, cloth_type_price, create_by_id, create_by, create_time, update_by_id, update_by, update_time, remark
        from order_cloth_type
    </sql>

    <select id="selectOrderClothTypeList" parameterType="OrderClothType" resultMap="OrderClothTypeResult">
        <include refid="selectOrderClothTypeVo"/>
        <where>
        </where>
    </select>

    <select id="selectOrderClothTypeById" parameterType="Long"
            resultMap="OrderClothTypeResult">
        <include refid="selectOrderClothTypeVo"/>
        where id = #{id}
    </select>

    <insert id="insertOrderClothType" parameterType="OrderClothType" useGeneratedKeys="true"
            keyProperty="id">
        insert into order_cloth_type
        <trim prefix="(" suffix=")" suffixOverrides=",">
            <if test="orderId != null">order_id,
            </if>
            <if test="orderClothId != null">order_cloth_id,
            </if>
            <if test="clothTypeCode != null">cloth_type_code,
            </if>
            <if test="clothTypeName != null">cloth_type_name,
            </if>
            <if test="clothTypePrice != null">cloth_type_price,
            </if>
            <if test="createById != null">create_by_id,
            </if>
            <if test="createBy != null">create_by,
            </if>
            <if test="createTime != null">create_time,
            </if>
            <if test="updateById != null">update_by_id,
            </if>
            <if test="updateBy != null">update_by,
            </if>
            <if test="updateTime != null">update_time,
            </if>
            <if test="remark != null">remark,
            </if>
        </trim>
        <trim prefix="values (" suffix=")" suffixOverrides=",">
            <if test="orderId != null">#{orderId},
            </if>
            <if test="orderClothId != null">#{orderClothId},
            </if>
            <if test="clothTypeCode != null">#{clothTypeCode},
            </if>
            <if test="clothTypeName != null">#{clothTypeName},
            </if>
            <if test="clothTypePrice != null">#{clothTypePrice},
            </if>
            <if test="createById != null">#{createById},
            </if>
            <if test="createBy != null">#{createBy},
            </if>
            <if test="createTime != null">#{createTime},
            </if>
            <if test="updateById != null">#{updateById},
            </if>
            <if test="updateBy != null">#{updateBy},
            </if>
            <if test="updateTime != null">#{updateTime},
            </if>
            <if test="remark != null">#{remark},
            </if>
        </trim>
    </insert>

    <update id="updateOrderClothType" parameterType="OrderClothType">
        update order_cloth_type
        <trim prefix="SET" suffixOverrides=",">
            <if test="orderId != null">order_id =
                #{orderId},
            </if>
            <if test="orderClothId != null">order_cloth_id =
                #{orderClothId},
            </if>
            <if test="clothTypeCode != null">cloth_type_code =
                #{clothTypeCode},
            </if>
            <if test="clothTypeName != null">cloth_type_name =
                #{clothTypeName},
            </if>
            <if test="clothTypePrice != null">cloth_type_price =
                #{clothTypePrice},
            </if>
            <if test="createById != null">create_by_id =
                #{createById},
            </if>
            <if test="createBy != null">create_by =
                #{createBy},
            </if>
            <if test="createTime != null">create_time =
                #{createTime},
            </if>
            <if test="updateById != null">update_by_id =
                #{updateById},
            </if>
            <if test="updateBy != null">update_by =
                #{updateBy},
            </if>
            <if test="updateTime != null">update_time =
                #{updateTime},
            </if>
            <if test="remark != null">remark =
                #{remark},
            </if>
        </trim>
        where id = #{id}
    </update>

    <delete id="deleteOrderClothTypeById" parameterType="Long">
        delete from order_cloth_type where id = #{id}
    </delete>

    <delete id="deleteOrderClothTypeByIds" parameterType="String">
        delete from order_cloth_type where id in
        <foreach item="id" collection="array" open="(" separator="," close=")">
            #{id}
        </foreach>
    </delete>



</mapper>